# Default parameter of ceiling_camera_calibration
calibration_period_in_seconds: 0.2

dictionary: {
  number_of_markers: 16,
  marker_size: 3
}

number_of_blended_images: 4

marker_edge_length: 0.1565
min_number_of_markers_used_in_board_pose_estimation: 3

detect: {
  adaptive_thresh_constant: 7.0,
  adaptive_thresh_win_size_max: 23,
  adaptive_thresh_win_size_min: 3,
  adaptive_thresh_win_size_step: 10,
  corner_refinement_max_iterations: 30,
  corner_refinement_min_accuracy: 0.1,
  corner_refinement_win_size: 5,
  corner_refinement_method: "none",
  error_correction_rate: 0.6,
  marker_border_bits: 1,
  max_erroneous_bits_in_border_rate: 0.35,
  max_marker_perimeter_rate: 4.0,
  min_corner_distance_rate: 0.05,
  min_distance_to_border: 3,
  min_marker_distance_rate: 0.05,
  min_marker_perimeter_rate: 0.03,
  min_otsu_std_dev: 5.0,
  perspective_remove_ignored_margin_per_cell: 0.13,
  perspective_remove_pixel_per_cell: 4,
  polygonal_approx_accuracy_rate: 0.03
}

ransac: {
  sample_size: 3,
  number_of_samples: 0, # 0 for all possible combinations (not very random ransac)
  inlier_threshold: 4 # reprojection error in pixel
}

refine: {
  refine: true,
  min_rep_distance: 8.0,
  error_correction_rate: 3.0
}

tracks: {
  test_track: {
    ids: [ 1, 3, 4],
    x:   [ 0, 1.5, 0],
    y:   [ 0, 0, -1],
    rot: [ 0, 0, 0]
  },
  dummy_track: {
    ids: [ 1, 2, 3],
    x:   [ 0, 2, 0],
    y:   [ 0, 0, 1],
    rot: [ 0, 0, 0]
 }
}

